Bug 1919146 - [RFE] Possibility for further tailoring with Compliance Viewer role
Summary: [RFE] Possibility for further tailoring with Compliance Viewer role
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: SCAP Plugin
Version: 6.7.0
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: 6.11.0
Assignee: Marek Hulan
QA Contact: addubey
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-22 09:01 UTC by ubasak@redhat.com
Modified: 2022-03-18 13:35 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33025 0 Normal New Add scoped search definition for arf reports that finds reports for hosts owned by current user 2021-07-15 10:53:47 UTC

Description ubasak@redhat.com 2021-01-22 09:01:41 UTC
Description of problem:
User with Compliance Viewer role can view all reports.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux Server release 7.9 (Maipo),
satellite-6.7 and 6.8

How reproducible:

Steps to Reproduce:
1.Create user
2.Assign Compliance viewer + View Hosts role to that user
3.Login from that user to cross check 

Actual results:
Any user ID with the "Compliance Viewer" role can view all reports.

Expected results:
Each user ID with the "Compliance Viewer" role can only view the reports of "its content hosts" (or those of its group).

Additional info:

Comment 1 Marek Hulan 2021-01-25 08:58:31 UTC
These are two independent resources. E.g. some user may not be allowed to view any host but they should still see all compliance reports. If you want to achieve what you describe, we first need to add a host search support for ArfReport resource. Then the compliance viewer role can be further tailored, so a filter like "host.owner = $current_user" could be specified. I'm changing this to RFE, since the behavior is consitent with other pages and I'd say works as it should. I don't think this should be a private bug since it's not a security issue, please publish if you agree.

Comment 4 Ondřej Pražák 2021-07-15 10:53:42 UTC
Created redmine issue https://projects.theforeman.org/issues/33025 from this bug

Comment 7 Bryan Kearney 2021-09-07 16:04:06 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 8 Bryan Kearney 2021-09-07 16:04:08 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 9 Bryan Kearney 2021-11-04 13:49:46 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/33025 has been resolved.

Comment 11 Brad Buckingham 2021-12-01 13:15:35 UTC
A fix is upstream and proposed for inclusion in Satellite 7.0.

Comment 12 addubey 2022-01-31 06:46:18 UTC
Verified.


Tested on: Satellite-7.0.0 Snap 7.0


Steps followed: 

1. Create user
2. Assign Compliance viewer + View Hosts role to that user
3. Login from that user to cross-check 


Observation: Each user-ID with the "Compliance Viewer" role can only view the reports of "its content hosts" (or those of its group).


Note You need to log in before you can comment on or make changes to this bug.